# Get the rule config for a catalog

Launch stage: Beta

`GET /api/2.0/lakewatch/{name=catalogs/*/ruleConfig}`

Returns the detection-rule configuration for a catalog.

API scopes: lakewatch

## Path parameters

- `name` (string, required)

## Returns

Returns the RuleConfig object.

## Response

```json
{
  "name": "string",
  "version": 0,
  "update_time": "string",
  "updated_by": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "etag": "string",
  "default_schedule": {
    "at_least_every": "string",
    "cron_expression": "string",
    "continuous": true,
    "enabled": true
  },
  "detection_categories": [
    "string"
  ],
  "default_signal_collation_window": "string",
  "default_folder": "string",
  "effective_detection_categories": [
    "string"
  ],
  "effective_default_folder": "string"
}
```

